Package com.verisign.epp.codec.ttl.v1_0

## Class EPPTtlTst

- java.lang.Object
- - com.verisign.epp.codec.ttl.v1_0.EPPTtlTst

-     public class EPPTtlTst
      extends java.lang.Object

  Is a unit test of the `com.verisign.epp.codec.ttl.v1_0` package. The unit test will execute, gather statistics, and output the results of a test of each c`com.verisign.epp.codec.ttl.v1_0` package concrete extension `EPPCodecComponent`'s.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPTtlTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `setup()` | JUNIT `suite` static method, which returns the tests associated with `EPPTtlTst`.
    `void` | `testDomainCreate()` | Unit test for the extension to the create command.
    `void` | `testDomainInfo()` | Unit test for the extension to the domain info command.
    `void` | `testDomainInfoResponse()` | Unit test for the extension to the domain info response.
    `void` | `testDomainUpdate()` | Unit test for the extension to the domain update command.
    `void` | `testHostCreate()` | Unit test for the extension to the host command.
    `void` | `testHostInfo()` | Unit test for the extension to the host info command.
    `void` | `testHostInfoResponse()` | Unit test for the extension to the host info response.
    `void` | `testHostUpdate()` | Unit test for the extension to the host update command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPTtlTst

          public EPPTtlTst()

  - ### Method Detail

    - #### testDomainCreate

          public void testDomainCreate()

      Unit test for the extension to the create command.

    - #### testHostCreate

          public void testHostCreate()

      Unit test for the extension to the host command.

    - #### testDomainUpdate

          public void testDomainUpdate()

      Unit test for the extension to the domain update command.

    - #### testHostUpdate

          public void testHostUpdate()

      Unit test for the extension to the host update command.

    - #### testDomainInfo

          public void testDomainInfo()

      Unit test for the extension to the domain info command.

    - #### testDomainInfoResponse

          public void testDomainInfoResponse()

      Unit test for the extension to the domain info response.

    - #### testHostInfo

          public void testHostInfo()

      Unit test for the extension to the host info command.

    - #### testHostInfoResponse

          public void testHostInfoResponse()

      Unit test for the extension to the host info response.

    - #### setup

          public static void setup()

      JUNIT `suite` static method, which returns the tests associated with `EPPTtlTst`.